/*
 * Copyright 2017-2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief The deprecated Thingstream Platform short name APIs
 */

#ifndef INC_THINGSTREAM_DEPRECATED_PLATFORM_SHORT_NAMES_H_
#define INC_THINGSTREAM_DEPRECATED_PLATFORM_SHORT_NAMES_H_
#ifndef THINGSTREAM_NO_SHORT_NAMES

#if defined(__cplusplus)
extern "C" {
#elif 0
}
#endif

/**
 * @addtogroup legacy
 * @{
 */

/** @deprecated         renamed to Thingstream_Platform_getTimeMillis() */
#define Platform_getTimeMillis     Thingstream_Platform_getTimeMillis

/** @deprecated         renamed to Thingstream_Platform_getTimeString() */
#define Platform_getTimeString     Thingstream_Platform_getTimeString


/** @} */

#if defined(__cplusplus)
}
#endif

#endif /* THINGSTREAM_NO_SHORT_NAMES */
#endif /* INC_THINGSTREAM_DEPRECATED_PLATFORM_SHORT_NAMES_H_ */
