/*
 * Copyright 2021 Thingstream AG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef INC_FLAGS_H_
#define INC_FLAGS_H_

/* Configuration for tracker */

#define DEBUG_ENABLE

#define GPS_ENABLED
#define PLATFORM_HAS_BATTERY
#define PLATFORM_HAS_TEMPERATURE

#define DEBUG_LOG_MODEM 1
#define DEBUG_LOG_CLIENT 1
#define USE_MODEM2
#define UDP_MODEM_INIT Thingstream_uBloxSaraR4Init
#define GSM_BUFFER_LENGTH 0   /* ring buffer not needed */

#define GSM_LOCATE_METHODS GSM_LOCATE_CxREG

#endif /* INC_FLAGS_H_ */
